Summary:        Helper application and MIME type associations for file types
Name:           mailcap
Version:        2.1.54
Release:        4%{?dist}
License:        Public Domain and MIT
URL:            https://pagure.io/mailcap
Source0:        https://pagure.io/releases/mailcap/%{name}-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  perl-interpreter python3

BuildArch:      noarch

%description
The mailcap file is read by the metamail program to determine how to 
display non-text at the local site.The mailcap format is documented 
in RFC 1524, “A User Agent Configuration Mechanism For Multimedia Mail 
Format Information”, but is not an internet standard. However, mailcap 
files are supported on most Unix systems.
This package provides helper application and MIME type associations for
file types.


%prep
%autosetup


%build
%make_build


%install
%make_install
rm -f %{buildroot}%{_sysconfdir}/nginx/mime.types


%check
%make_build check


%files
%license COPYING
%doc NEWS
%config(noreplace) %{_sysconfdir}/mailcap
%config(noreplace) %{_sysconfdir}/mime.types
%{_mandir}/man5/mailcap.5.gz


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.54-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.54-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.54-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Wang Guodong <gordonwwang@tencent.com> - 2.1.54-1
- Upgrade to version 2.1.54

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.53-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.53-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 30 2022 doriscchao <doriscchao@tencent.com> - 2.1.53-2
- delete /etc/nginx/mime.types config file

* Fri Jul 22 2022 doriscchao <doriscchao@tencent.com> - 2.1.53-1
- initial build, Version 2.1.53, Release 1
